curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/invoices/{tenantId}/adjustment/sync/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount_paid": 0.1,
"amount_refunded": 0.1,
"amount_written_off": 0.1,
"balance_due": 0.1,
"base_currency_code": "str",
"base_currency_symbol": "string",
"batch_id": "string",
"bill_to_contact_id": "string",
"bill_to_organization_id": "string",
"bill_to_type": "contact",
"billing_address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"business_unit_id": "string",
"cancellation_id": "string",
"currency_code": "AED",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"custom_metadata": {},
"date": "2019-08-24",
"date_due": "2019-08-24",
"exchange_rate": 0.1,
"id": "string",
"legacy_balance_due": 0.1,
"line_items": [
{
"amount_paid": 0.1,
"amount_refunded": 0.1,
"amount_to_pay_upon_creation": 0.1,
"amount_written_off": 0.1,
"balance_due": 0.1,
"bundled_product_1": {
"amount": 0.1,
"product_id": "string",
"product_type": "string"
},
"bundled_product_2": {
"amount": 0.1,
"product_id": "string",
"product_type": "string"
},
"description": "string",
"has_inline_bundled_products": true,
"inline_bundled_products": {
"0": {
"amount": 0.1,
"product_id": "string",
"product_type": "string"
}
},
"invoice_line_item_id": "string",
"legacy_ar_gl_account": "string",
"legacy_balance_due": 0.1,
"legacy_project": "string",
"legacy_revenue_account": "string",
"optional": true,
"order_line_item_id": "string",
"original_total": 0.1,
"original_total_in_base_currency": 0.1,
"primary_product_total": 0.1,
"product_id": "string",
"product_type": "string",
"quantity": 0.1,
"related_transactions": [
{
"amount": 0.1,
"date": "2019-08-24T14:15:22Z",
"transaction_id": "string",
"transaction_line_item_id": "string",
"transaction_number": 0.1,
"type": "cancellation"
}
],
"status": "cancelled",
"total": 0.1,
"total_in_base_currency": 0.1,
"unit_price": 0.1
}
],
"memo": "string",
"notes": "string",
"number": 0,
"order_id": "string",
"parent_invoice_id": "string",
"payment_terms_id": "string",
"pro_forma": true,
"purchase_order_number": "string",
"regenerated_invoice_id": "string",
"regeneration_error": "string",
"return_id": "string",
"send_email_to_billing_contact": true,
"sharing_secret": "string",
"status": "cancelled",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_search_composite_key": "string",
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"template_id": "string",
"total": 0.1,
"total_in_base_currency": 0.1,
"type": "string",
"uses_v2_api": true,
"workflow_execution_id": "string"
}'